org.apache.calcite.avatica.proto

## Class Requests.FetchRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Requests.FetchRequest.Builder>
      - - org.apache.calcite.avatica.proto.Requests.FetchRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Requests.FetchRequestOrBuilder

Enclosing class:
  Requests.FetchRequest

    public static final class Requests.FetchRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Requests.FetchRequest.Builder>
    implements Requests.FetchRequestOrBuilder

     Request for Meta#fetch(Meta.StatementHandle, List, long, int)

Protobuf type `FetchRequest`

### Field Summary

Fields
`private Object` `connectionId_`
`private int` `fetchMaxRowCount_`
`private int` `frameMaxSize_`
`private long` `offset_`
`private int` `statementId_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Requests.FetchRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Requests.FetchRequest` `build()`
`Requests.FetchRequest` `buildPartial()`
`Requests.FetchRequest.Builder` `clear()`
`Requests.FetchRequest.Builder` `clearConnectionId()` `string connection_id = 1;`
`Requests.FetchRequest.Builder` `clearFetchMaxRowCount()` Maximum number of rows to be returned in the frame.
`Requests.FetchRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Requests.FetchRequest.Builder` `clearFrameMaxSize()` `int32 frame_max_size = 5;`
`Requests.FetchRequest.Builder` `clearOffset()` `uint64 offset = 3;`
`Requests.FetchRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Requests.FetchRequest.Builder` `clearStatementId()` `uint32 statement_id = 2;`
`Requests.FetchRequest.Builder` `clone()`
`String` `getConnectionId()` `string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `string connection_id = 1;`
`Requests.FetchRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`int` `getFetchMaxRowCount()` Maximum number of rows to be returned in the frame.
`int` `getFrameMaxSize()` `int32 frame_max_size = 5;`
`long` `getOffset()` `uint64 offset = 3;`
`int` `getStatementId()` `uint32 statement_id = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Requests.FetchRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Requests.FetchRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Requests.FetchRequest.Builder` `mergeFrom(Requests.FetchRequest other)`
`Requests.FetchRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Requests.FetchRequest.Builder` `setConnectionId(String value)` `string connection_id = 1;`
`Requests.FetchRequest.Builder` `setConnectionIdBytes(com.google.protobuf.ByteString value)` `string connection_id = 1;`
`Requests.FetchRequest.Builder` `setFetchMaxRowCount(int value)` Maximum number of rows to be returned in the frame.
`Requests.FetchRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Requests.FetchRequest.Builder` `setFrameMaxSize(int value)` `int32 frame_max_size = 5;`
`Requests.FetchRequest.Builder` `setOffset(long value)` `uint64 offset = 3;`
`Requests.FetchRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Requests.FetchRequest.Builder` `setStatementId(int value)` `uint32 statement_id = 2;`
`Requests.FetchRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### connectionId_

    private Object connectionId_

#### statementId_

    private int statementId_

#### offset_

    private long offset_

#### fetchMaxRowCount_

    private int fetchMaxRowCount_

#### frameMaxSize_

    private int frameMaxSize_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.FetchRequest.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Requests.FetchRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.FetchRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.FetchRequest.Builder>`

#### getDefaultInstanceForType

    public Requests.FetchRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Requests.FetchRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Requests.FetchRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Requests.FetchRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.FetchRequest.Builder>`

#### setField

    public Requests.FetchRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                  Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.FetchRequest.Builder>`

#### clearField

    public Requests.FetchRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.FetchRequest.Builder>`

#### clearOneof

    public Requests.FetchRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.FetchRequest.Builder>`

#### setRepeatedField

    public Requests.FetchRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                          int index,
                                                          Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.FetchRequest.Builder>`

#### addRepeatedField

    public Requests.FetchRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                          Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.FetchRequest.Builder>`

#### mergeFrom

    public Requests.FetchRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Requests.FetchRequest.Builder>`

#### mergeFrom

    public Requests.FetchRequest.Builder mergeFrom(Requests.FetchRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.FetchRequest.Builder>`

#### mergeFrom

    public Requests.FetchRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Requests.FetchRequest.Builder>`
Throws:
  `IOException`

#### getConnectionId

    public String getConnectionId()

`string connection_id = 1;`

Specified by:
  `getConnectionId` in interface `Requests.FetchRequestOrBuilder`

#### getConnectionIdBytes

    public com.google.protobuf.ByteString getConnectionIdBytes()

`string connection_id = 1;`

Specified by:
  `getConnectionIdBytes` in interface `Requests.FetchRequestOrBuilder`

#### setConnectionId

    public Requests.FetchRequest.Builder setConnectionId(String value)

`string connection_id = 1;`

#### clearConnectionId

    public Requests.FetchRequest.Builder clearConnectionId()

`string connection_id = 1;`

#### setConnectionIdBytes

    public Requests.FetchRequest.Builder setConnectionIdBytes(com.google.protobuf.ByteString value)

`string connection_id = 1;`

#### getStatementId

    public int getStatementId()

`uint32 statement_id = 2;`

Specified by:
  `getStatementId` in interface `Requests.FetchRequestOrBuilder`

#### setStatementId

    public Requests.FetchRequest.Builder setStatementId(int value)

`uint32 statement_id = 2;`

#### clearStatementId

    public Requests.FetchRequest.Builder clearStatementId()

`uint32 statement_id = 2;`

#### getOffset

    public long getOffset()

`uint64 offset = 3;`

Specified by:
  `getOffset` in interface `Requests.FetchRequestOrBuilder`

#### setOffset

    public Requests.FetchRequest.Builder setOffset(long value)

`uint64 offset = 3;`

#### clearOffset

    public Requests.FetchRequest.Builder clearOffset()

`uint64 offset = 3;`

#### getFetchMaxRowCount

    public int getFetchMaxRowCount()

     Maximum number of rows to be returned in the frame. Negative means no limit. Deprecated!

`uint32 fetch_max_row_count = 4;`

Specified by:
  `getFetchMaxRowCount` in interface `Requests.FetchRequestOrBuilder`

#### setFetchMaxRowCount

    public Requests.FetchRequest.Builder setFetchMaxRowCount(int value)

     Maximum number of rows to be returned in the frame. Negative means no limit. Deprecated!

`uint32 fetch_max_row_count = 4;`

#### clearFetchMaxRowCount

    public Requests.FetchRequest.Builder clearFetchMaxRowCount()

     Maximum number of rows to be returned in the frame. Negative means no limit. Deprecated!

`uint32 fetch_max_row_count = 4;`

#### getFrameMaxSize

    public int getFrameMaxSize()

`int32 frame_max_size = 5;`

Specified by:
  `getFrameMaxSize` in interface `Requests.FetchRequestOrBuilder`

#### setFrameMaxSize

    public Requests.FetchRequest.Builder setFrameMaxSize(int value)

`int32 frame_max_size = 5;`

#### clearFrameMaxSize

    public Requests.FetchRequest.Builder clearFrameMaxSize()

`int32 frame_max_size = 5;`

#### setUnknownFields

    public final Requests.FetchRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.FetchRequest.Builder>`

#### mergeUnknownFields

    public final Requests.FetchRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.FetchRequest.Builder>`